Feiertagskalender
Feiertagskalender-Zuordnungen aktualisieren
Replace all assignments for this employee.
AuthentifizierungBearer <token>
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Ort: header
Pfadparameter
employee*string
The employee ID
Format
uuidRequest-Body
application/json
TypeScript-Definitionen
TypeScript-Typ für request body.
Response-Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/employees/497f6eca-6276-4993-bfeb-53cbbbba6f08/holidays_history" \ -H "Content-Type: application/json" \ -d '{ "assignments": [ { "holiday_id": "d9ef1a20-0972-46d4-9f9f-2250d785e410", "valid_after": "2019-08-24T14:15:22Z" } ] }'{ "data": [ { "id": "string", "holiday_id": "string", "holiday": { "id": "string", "name": "string", "is_system": "string", "source_key": "string", "entries": [ { "id": "string", "date": "string", "name": "string", "half_day": "string" } ], "created_at": "string", "updated_at": "string" }, "valid_after": "string", "created_at": "string", "updated_at": "string" } ]}